# Cluster → Metadata

{% hint style="info" %}
To enable testnet querying on Sepolia, add `?testnet=true` to the end of the URL
{% endhint %}

## Get cluster

<mark style="color:green;">`GET`</mark> `/v0.1/cluster/:name`

Get the cluster from a cluster name

| Name   | Description         |
| ------ | ------------------- |
| `name` | Name of the cluster |

**Example**

```http
https://api.clusters.xyz/v0.1/cluster/:name
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "name": "clusters/",
  "profileUrl": "https://clusters.xyz/clusters",
  "imageUrl": "https://cdn.clusters.xyz/profile/clusters",
  "hasCustomImage": false,
  "wallets": [
    {
      "type": "evm",
      "address": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
      "name": "clusters/main",
      "isVerified": true
    }
  ]
}
```

{% endtab %}

{% tab title="404" %}

```json
null
```

{% endtab %}
{% endtabs %}

***

## Bulk get clusters

<mark style="color:green;">`POST`</mark> `/v0.1/cluster/names`

Get the cluster from a cluster name

| Name        | Description            |
| ----------- | ---------------------- |
| POST `body` | Array of cluster names |

**Example**

```bash
curl  -X POST \
  'https://api.clusters.xyz/v0.1/cluster/names' \
  --data-raw '[
  "clusters/",
  "layerzero/"
]'
```

**Response**

> Any names in the array that are not found will be omitted from the response.

{% tabs %}
{% tab title="200" %}

```json
[
  {
    "name": "clusters/",
    "profileUrl": "https://clusters.xyz/clusters",
    "imageUrl": "https://cdn.clusters.xyz/profile/clusters",
    "hasCustomImage": false,
    "wallets": [
      {
        "name": "clusters/main",
        "type": "evm",
        "address": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
        "isVerified": true
      }
    ]
  },
  {
    "name": "layerzero/",
    "profileUrl": "https://clusters.xyz/layerzero",
    "imageUrl": "https://cdn.clusters.xyz/profile/layerzero",
    "hasCustomImage": true,
    "wallets": [
      {
        "name": "layerzero/main",
        "type": "evm",
        "address": "0xccdead94e8cf17de32044d9701c4f5668ad0bef9",
        "isVerified": true
      }
    ]
  }
]
```

{% endtab %}

{% tab title="500" %}

```json
[]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clusters.xyz/getting-started/api/v0.1-deprecated/cluster-metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
